package com.ruoyi.nanjing.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 主支线管理对象 T_BD_LineType
 * 
 * @author limy
 * @date 2021-01-22
 */
public class TBdLinetype extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long LineID;

    /** 线路名称 */
    @Excel(name = "线路名称")
    private String LineTypeName;

    /** 线路类型 */
    @Excel(name = "线路类型")
    private String LineTypeFlag;

    /** 条码前缀 */
    @Excel(name = "条码前缀")
    private String BarcodeHead;

    public void setLineID(Long LineID) 
    {
        this.LineID = LineID;
    }

    public Long getLineID() 
    {
        return LineID;
    }
    public void setLineTypeName(String LineTypeName) 
    {
        this.LineTypeName = LineTypeName;
    }

    public String getLineTypeName() 
    {
        return LineTypeName;
    }
    public void setLineTypeFlag(String LineTypeFlag) 
    {
        this.LineTypeFlag = LineTypeFlag;
    }

    public String getLineTypeFlag() 
    {
        return LineTypeFlag;
    }
    public void setBarcodeHead(String BarcodeHead)
    {
        this.BarcodeHead = BarcodeHead;
    }

    public String getBarcodeHead()
    {
        return BarcodeHead;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("LineID", getLineID())
            .append("LineTypeName", getLineTypeName())
            .append("LineTypeFlag", getLineTypeFlag())
            .append("BarcodeHead", getBarcodeHead())
            .toString();
    }
}
